DECLARE SUB MouseShow ()
DECLARE SUB MouseDriver (ax%, bx%, cx%, dx%)
DECLARE SUB MouseHide ()
DECLARE SUB MousePut (x%, y%)
DECLARE SUB MouseRange (x1%, y1%, x2%, y2%)
DECLARE SUB MouseStatus (lb%, rb%, XMouse%, YMouse%)
DECLARE FUNCTION MouseInit% ()
DECLARE SUB Future.UpdateMouse ALIAS "SVGAupdatemouse" ()
DECLARE SUB SetMouseRange (BYVAL x1%, BYVAL y1%, BYVAL x2%, BYVAL y2%)
DECLARE SUB SetLocation (BYVAL x%, BYVAL y%)
DECLARE SUB SetMouseMaskColor ALIAS "SVGAmousemask" (BYVAL c&)
DECLARE SUB Future.MouseShape ALIAS "SVGAmouseShape" (BYVAL Offset%, BYVAL Segment%)
DECLARE SUB Future.ResetMouseShape ALIAS "MouseCursorGenerator" ()
DECLARE SUB Future.MouseOff ALIAS "SVGAmouseoff" ()
DECLARE SUB Future.MouseOn ALIAS "SVGAmouseon" ()
DECLARE FUNCTION Future.MouseB% ALIAS "SVGAmouseB" ()
DECLARE FUNCTION Future.MouseY% ALIAS "SVGAmouseY" ()
DECLARE FUNCTION Future.MouseX% ALIAS "SVGAmouseX" ()
DECLARE SUB SetMouseSensitivity (BYVAL h%, BYVAL v%)
DECLARE SUB Set320x200 (b%)
DECLARE SUB Set320x240 (b%)
DECLARE SUB Set320x400 (b%)
DECLARE SUB Set320x480 (b%)
DECLARE SUB Set400x300 (b%)
DECLARE SUB Set512x384 (b%)
DECLARE SUB Set640x350 (b%)
DECLARE SUB Set640x400 (b%)
DECLARE SUB Set640x480 (b%)
DECLARE SUB Set720x480 (b%)
DECLARE SUB Set720x576 (b%)
DECLARE SUB Set800x600 (b%)
DECLARE SUB Set1024x768 (b%)
DECLARE SUB Set1152x864 (b%)
DECLARE SUB Set1280x960 (b%)
DECLARE SUB Set1280x1024 (b%)
DECLARE SUB Set1600x1200 (b%)
DECLARE SUB Set1920x1080 (b%)
DECLARE SUB Set1920x1200 (b%)
DECLARE SUB Set1920x1440 (b%)
DECLARE SUB Set2048x1536 (b%)
DECLARE SUB SetScreenMode (XRes%, YRes%, Bits%)
DECLARE SUB ReSetScreen
DECLARE FUNCTION Pages% ()
DECLARE FUNCTION IsVESA%
DECLARE FUNCTION VideoMemory&
DECLARE SUB ViewPage (BYVAL p%)
DECLARE SUB SetMaskColor (BYVAL c&)
DECLARE SUB SetPage (BYVAL p%)
DECLARE SUB SetViewPort ALIAS "SVGAviewport" (BYVAL x1%, BYVAL y1%, BYVAL x2%, BYVAL y2%)
DECLARE FUNCTION RGB2Color& (BYVAL r%, BYVAL g%, BYVAL b%)
DECLARE SUB Color2RGB (BYVAL c&, r%, g%, b%)
DECLARE FUNCTION Future.Version$ ()
DECLARE FUNCTION SizeOf& ALIAS "SVGAsizeof" (BYVAL x%, BYVAL y%)
DECLARE FUNCTION Future.ModeList$ (i%)
DECLARE FUNCTION Future.POINT& ALIAS "SVGApoint" (BYVAL x%, BYVAL y%)
DECLARE SUB Future.PSET ALIAS "SVGApset" (BYVAL x%, BYVAL y%, BYVAL c&)
DECLARE SUB Future.CLS ALIAS "SVGAcls" (BYVAL c&)
DECLARE SUB Future.FILLBOX ALIAS "SVGAfillbox" (BYVAL x%, BYVAL y%, BYVAL x1%, BYVAL y1%, BYVAL c&)
DECLARE SUB Future.BOX ALIAS "SVGAbox" (BYVAL x%, BYVAL y%, BYVAL x1%, BYVAL y1%, BYVAL c&)
DECLARE SUB Future.LINE ALIAS "SVGAline" (BYVAL x%, BYVAL y%, BYVAL x1%, BYVAL y1%, BYVAL c&, BYVAL Bitscan%)
DECLARE SUB Future.CIRCLE ALIAS "SVGAcircle" (BYVAL cx%, BYVAL cy%, BYVAL Radius%, BYVAL c&)
DECLARE SUB Future.FILLCIRCLE ALIAS "SVGAfillcircle" (BYVAL cx%, BYVAL cy%, BYVAL Radius%, BYVAL c&)
DECLARE SUB Future.HLINE ALIAS "SVGAhline" (BYVAL y%, BYVAL x1%, BYVAL x2%, BYVAL c&)
DECLARE SUB Future.GET (x%, y%, x1%, y1%, Array() AS ANY)
DECLARE SUB Future.PUT (x%, y%, Array() AS ANY)
DECLARE SUB Future.PRINT (x%, y%, t$, c&, b&)
DECLARE SUB Future.LoadGIF (FileName$, Xpos%, Ypos%)
TYPE TGIFInfo
       Filehandle AS INTEGER
       x AS INTEGER
       y AS INTEGER
       BackgroundColor AS INTEGER
       pal AS INTEGER
       NColor AS INTEGER
       GlobalCLUT AS STRING * 768
       loopit AS INTEGER
       StartFramePos AS LONG
       FramePos AS LONG
       EOFile AS INTEGER
END TYPE
DECLARE SUB Future.OpenAGif (FileName$, GifHandle AS TGIFInfo)
DECLARE SUB Future.CloseAGif (GifHandle AS TGIFInfo)
DECLARE SUB Future.putAGif (Xpos%, Ypos%, GifHandle AS TGIFInfo)
DECLARE SUB Future.LoadBMP (FileName$, Xpos%, Ypos%)
DECLARE SUB Future.LoadPCX (FileName$, Xpos%, Ypos%)
DECLARE SUB Future.SNAPSHOT (FileName$)
DECLARE SUB Future.LoadFONT (FileName$)
DECLARE SUB SetFont ALIAS "SVGAsetfont" (BYVAL Mode%)
DECLARE FUNCTION IsMMX% ()
DECLARE SUB SetMMX (BYVAL OnOff%)
DECLARE SUB SetBlender (BYVAL OnOff%)
DECLARE SUB Font (x%, y%, text$, col%)
DECLARE SUB LoadGIF (a$)
DECLARE SUB LoadPCX (a$)
DECLARE SUB LoadBMP (a$)
DECLARE SUB Melt ()
DECLARE SUB Palette.FadeIn
DECLARE SUB Palette.FadeOut
DECLARE SUB LoadPal (FileName$)
DECLARE SUB SavePal (FileName$)
DECLARE SUB Shake (Duration)
DECLARE SUB ChangePal (Color2Change%, r%, g%, b%)
DECLARE SUB LoadScreen (FileName$)
DECLARE SUB SaveScreen (FileName$)
DECLARE SUB Future.XMSget (x%, y%, x1%, y1%, XMShandle%)
DECLARE SUB Future.XMSput (x%, y%, XMShandle%)
DECLARE FUNCTION IsXMSInstalled% ()
DECLARE FUNCTION AllocateXMS% (BYVAL Bytes&)
DECLARE SUB DeallocateXMS (BYVAL handle%)
DECLARE FUNCTION FreeXMSmemory& ()
DECLARE SUB MoveXMS (BYVAL SourceHandle%, BYVAL SourceOffset&, BYVAL DestHandle%, BYVAL DestOffset&, BYVAL Bytes&)
DECLARE SUB MoveToXMS (BYVAL handle%, BYVAL Segment%, BYVAL Offset%, BYVAL Bytes&, BYVAL XMSOffset&)
DECLARE SUB MoveFromXMS (BYVAL handle%, BYVAL Segment%, BYVAL Offset%, BYVAL Bytes&, BYVAL XMSOffset&)
DECLARE SUB Future.DefineXMSArray (x%, y%, XMShandle%)
DECLARE SUB Future.XMSArrayGet (x%, y%, XMShandle%, Index%)
DECLARE SUB Future.XMSArrayPut (x%, y%, XMShandle%, Index%)
